Subject: Re: Customer Service Advisor - Work From Home - Phone Support - Jericho Mark Laylay applied on Indeed
From: "Jericho" <[email-masked]>
To: CHERRY E COMMERCE SERVICES P LTD <[email-masked]>
Date: Wed, 12 Oct 2022 16:31:47 +0800

Good Day, I'm very sorry I got late by 18 minutes because of an unexpected
power interruption within our area. I'm currently in the waiting room of
the zoom link that you've sent.

Suspect spam or fraud?
Report this message to Indeed <https://www.indeed.com/feedback?contentId=%3CCAF8%2BPubHtTqNzH9C4MXKhdE8BMSmHcvY8t57fz1zJc24GU1mgw%40mail.gmail.com%3E&hl=en_PH&co=PH>

Indeed processes and analyzes your activity in this email.

By replying or using an indeedemail.com email address, you agree that messages will be processed and analyzed according to Indeed’s Cookie Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#cookies>, Privacy Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#privacy>, and Terms of Service <https://www.indeed.com/legal?hl=en&amp;co=PH#tos>.